<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.device.pms.mapper.DeptLineMapper">

    <update id="deptChangeBindLine" >
    update pq_dept_line set id = #{id} where Line_Id = #{lineId}
    </update>

    <select id="getAllBindLine" resultType="String">
        select line_id from pq_dept_line
    </select>

    <select id="getOtherBindLine" resultType="String">
        select line_id from pq_dept_line where Id !=#{deptId}
    </select>

    <select id="getMyselfBindLine" resultType="String">
        select line_id from pq_dept_line where Id =#{deptId}
    </select>
</mapper>
